Package com.sap.ai.sdk.core.model

# Class BckndResourceGroupBase

java.lang.Object
com.sap.ai.sdk.core.model.BckndResourceGroupBase

public class BckndResourceGroupBase extends Object
BckndResourceGroupBase

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndResourceGroupBase()`
  Default constructor for BckndResourceGroupBase.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BckndResourceGroupBase`
  `create()`
  Create a new `BckndResourceGroupBase` instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndResourceGroupBase`.
  `String`
  `getResourceGroupId()`
  resource group id
  `String`
  `getTenantId()`
  tenant id
  `String`
  `getZoneId()`
  zone id
  `int`
  `hashCode()`
  `BckndResourceGroupBase`
  `resourceGroupId(String resourceGroupId)`
  Set the resourceGroupId of this `BckndResourceGroupBase` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndResourceGroupBase` instance.
  `void`
  `setResourceGroupId(String resourceGroupId)`
  Set the resourceGroupId of this `BckndResourceGroupBase` instance.
  `void`
  `setTenantId(String tenantId)`
  Set the tenantId of this `BckndResourceGroupBase` instance.
  `void`
  `setZoneId(String zoneId)`
  Set the zoneId of this `BckndResourceGroupBase` instance.
  `BckndResourceGroupBase`
  `tenantId(String tenantId)`
  Set the tenantId of this `BckndResourceGroupBase` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndResourceGroupBase` instance including unrecognized properties.
  `String`
  `toString()`
  `BckndResourceGroupBase`
  `zoneId(String zoneId)`
  Set the zoneId of this `BckndResourceGroupBase` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndResourceGroupBase

    protected BckndResourceGroupBase()
    Default constructor for BckndResourceGroupBase.

- ## Method Details

  - ### resourceGroupId

    @Nonnull public BckndResourceGroupBase resourceGroupId(@Nullable String resourceGroupId)
    Set the resourceGroupId of this `BckndResourceGroupBase` instance and return the same instance.
    Parameters:
      `resourceGroupId` - resource group id
    Returns:
      The same instance of this `BckndResourceGroupBase` class

  - ### getResourceGroupId

    @Nonnull public String getResourceGroupId()
    resource group id
    Returns:
      resourceGroupId The resourceGroupId of this `BckndResourceGroupBase` instance.

  - ### setResourceGroupId

    public void setResourceGroupId(@Nullable String resourceGroupId)
    Set the resourceGroupId of this `BckndResourceGroupBase` instance.
    Parameters:
      `resourceGroupId` - resource group id

  - ### tenantId

    @Nonnull public BckndResourceGroupBase tenantId(@Nullable String tenantId)
    Set the tenantId of this `BckndResourceGroupBase` instance and return the same instance.
    Parameters:
      `tenantId` - tenant id
    Returns:
      The same instance of this `BckndResourceGroupBase` class

  - ### getTenantId

    @Nonnull public String getTenantId()
    tenant id
    Returns:
      tenantId The tenantId of this `BckndResourceGroupBase` instance.

  - ### setTenantId

    public void setTenantId(@Nullable String tenantId)
    Set the tenantId of this `BckndResourceGroupBase` instance.
    Parameters:
      `tenantId` - tenant id

  - ### zoneId

    @Nonnull public BckndResourceGroupBase zoneId(@Nullable String zoneId)
    Set the zoneId of this `BckndResourceGroupBase` instance and return the same instance.
    Parameters:
      `zoneId` - zone id
    Returns:
      The same instance of this `BckndResourceGroupBase` class

  - ### getZoneId

    @Nonnull public String getZoneId()
    zone id
    Returns:
      zoneId The zoneId of this `BckndResourceGroupBase` instance.

  - ### setZoneId

    public void setZoneId(@Nullable String zoneId)
    Set the zoneId of this `BckndResourceGroupBase` instance.
    Parameters:
      `zoneId` - zone id

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndResourceGroupBase`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndResourceGroupBase` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndResourceGroupBase` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndResourceGroupBase` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndResourceGroupBase create()
    Create a new `BckndResourceGroupBase` instance. No arguments are required.